/*
		constants.cpp

    Copyright (C) 2000 Patrick Dughi

    This software may be used and distributed according to the terms
    of the GNU Public License, incorporated herein by reference, located
		as the file gpl.txt in this same directory.

    The author may be reached at dughi@imaxx.net.

.		Contains mainly arrays of pointers to character strings, for common use.
	
*/

#include "utils.h"

/* just the constant strings used in the code */
const char *dirs[] = {
	"north",
	"east",
	"south",
	"west",
	"up",
	"down",
	"northeast",
	"northwest",
	"southeast",
	"southwest"
};

const char *effect_flags[] = {
	"Glow",
	"Hum",
	"No Rent",
	"No Donate",
	"No Invis",
	"Invis",
	"Magic",
	"No Drop",
	"!Good",
	"!Evil",
	"!Neutral",
	"!Wizard",
	"!Cleric",
	"!Theif",
	"!Warrior",
	"No Sell",
	"\n"
};

const char *mact_flags[] = {
	"Has Spec",
  "Sentinel",
	"Scavenger",
	"Is NPC",
	"Aware",
	"Agressive",
	"Stay Zone",
	"Wimpy",
	"Aggro Evil",
	"Aggro Good",
  "Aggro Neutral",
  "Memory",
	"Helper",
	"No Charm",
	"No Summon",
	"No Sleep",
	"No Bash",
	"No Blind",
	"\n"
};

const char *maff_flags[] = {
	"Blind",
  "Invisible",
	"Detect Align",
	"Detect Invis",
	"Detect Magic",
	"Sense Life",
	"Waterwalk",
	"Sanctuary",
	"Group",
	"Curse",
  "Infravision",
  "Poison",
	"Protect f/Evil",
	"Protect f/Good",
	"Sleep",
	"No Track",
	"Unused",
	"Unused",
	"Sneak",
	"Hide",
	"Unused",
	"Charm",
	"\n"
};

const char *room_flags[] = {
	"Dark",
  "Death",
	"No mob",
	"Indoors",
	"Peaceful",
	"Soundproof",
	"No Track",
	"No Magic",
	"Tunnel",
	"Private",
  "Godroom",
  "House",
	"House Crash",
	"Atrium",
	"OLC",
	"BFS mark",
	"\n"
};

const char *trade_flags[] = {
	"No Good",
	"No Evil",
	"No Neutral",
	"No Wizard",
	"No Cleric",
	"No Thief",
	"No Warrior",
	"\n"
};

const char *wear_flags[] = {
	"Take",
  "Finger",
	"Neck",
	"Body",
	"Head",
	"Legs",
	"Feet",
	"Hands",
	"Arms",
  "Shield",
	"About",
	"Waist",
	"Wrist",
	"Wield",
	"Hold",
	"\n"
};

const char *zcmd_buttons[NUM_OF_ZCMDS][3] = {
	{"Mob","Max","&"},
	{"Obj","Max","&"},
	{"Obj","Max","*"},
        {"Obj","Max","Eq Pos"},
	{"Obj","Max","In"},
	{"&","Exit","State"},
	{"&","Obj","*"}
};

const char *obj_types[NUM_OF_OBJ_TYPES] = {
	"Light",
	"Scroll",
	"Wand",
	"Staff",
	"Weapon",
	"Fireweapon",
	"Missile",
	"Treasure",
	"Armor",
	"Potion",
	"Worn",
	"Other",
	"Trash",
	"Trap",
	"Container",
	"Note",
	"Drinkcon",
	"Key",
	"Food",
	"Money",
	"Pen",
	"Boat",
	"Fountain"
};

const char *equip_positions[NUM_OF_EQ_POS] = {
	"used as light",
  "worn on right finger",
	"worn on left finger",
	"worn on neck (1)",
	"worn on neck (2)",
	"worn on body",
	"worn on head",
	"worn on legs",
	"worn on feet",
	"worn on hands",
	"worn on arms",
	"worn as shield",
	"worn about body",
	"worn on waist",
	"worn around right wrist",
	"worn around left wrist",
	"wielded as a weapon",
	"held"
};

const char *door_state[3] = {
	"Open",
	"Closed",
	"Closed and locked",
};

char num_to_cmd[7] = {
	'M',
	'O',
	'G',
	'E',
	'P',
	'D',
	'R'
};

const char *suffix[NUM_SUFFIX] = {
	"zon",
	"shp",
	"mob",
	"obj",
	"wld"
};

const char *stat_names[NUM_OF_STATS] = {
	"Str",
	"StrAdd",
	"Con",
	"Dex",
	"Int",
	"Wis",
	"Cha"
};

const char *obj_val_chart[NUM_OBJ_TYPES][4] = {
	{"*","*","Time","*"},
	{"Level","Spell 1","Spell 2","Spell 3"},
	{"Level","Capacity","Charges", "Spell"},
	{"Level","Capacity","Charges", "Spell"},
	{"*","Dice","Size","Subtype"},
	{"*","*","*","*"},
	{"*","*","*","*"},
	{"*","*","*","*"},
	{"AC","*","*","*"},
	{"Level","Spell 1","Spell 2","Spell 3"},
	{"*","*","*","*"},
	{"*","*","*","*"},
	{"*","*","*","*"},
	{"*","*","*","*"},
	{"Max","Closeable","Key","*"},
	{"*","*","*","*"},
	{"Capacity","Quantity","Type","Poison"},
	{"*","*","*","*"},
	{"Hours","*","*","Poison"},
	{"Gold","*","*","*"},
	{"*","*","*","*"},
	{"*","*","*","*"},
  {"Capacity","Quantity","Type","Poison"}
};

/* sighs */
int obj_val_defaults[NUM_OBJ_TYPES][4] = {
	{0,0,0,0},	
	{0,-1,-1,-1},
	{0,1,0,-1},
  {0,1,0,-1},
	{0,0,0,0},
	{0,0,0,0},
	{0,0,0,0},
	{0,0,0,0},
	{0,0,0,0},
	{0,-1,-1,-1},
	{0,0,0,0},
	{0,0,0,0},
	{0,0,0,0},
	{0,0,0,0},
	{0,0,-1,0},
	{0,0,0,0},
	{0,0,0,0},
	{0,0,0,0},
	{0,0,0,0},
	{0,0,0,0},
	{0,0,0,0},
	{0,0,0,0},
	{0,0,0,0}
};

int spell_translate[NUM_OF_SPELLS + 1] = {
	-1,
	45,
	1,
	3,
	4,
	5,
	6,
	7,
	8,
	9,
	10,
	11,
	12,
	13,
	14,
	15,
	16,
	17,
	18,
	19,
	20,
	21,
	22,
	46,
	23,
	24,
	25,
	26,
	47,
	48,
	49,
	27,
	28,
	201,
	50,
	29,
	30,
	31,
	32,
	33,
	34,
	35,
	43,
	36,
	44,
	37,
	38,
	39,
	40,
	2,
	41,
	51,
	42
};
